Subject: 30.0.50; Feature Request: Implement Possibility to change Formatting of Escape Characters in Shell Exports

From: Alexander Prähauser <[email-masked]>
Date: Thu, 06 Jun 2024 10:27:29 +0000

This is more of a feature request, but I was told on the Emacs
Stackexchange I should file it in the form of a bug report. I recently
switched to nushell as my default shell, and in many ways it's a great
shell, but its formatting is slightly different from that of bash and
that causes substitutions to be wrong when I use dired-do-shell-command
to spawn a terminal. For instance, I had a line in
dired-guess-shell-alist-user I used to play mp3s
in their own terminal so I could use Emacs in the meantime:

          ("\\.mp3" "xterm -e \"mplayer * \" &")

but now when I use this on a file with spaces in its name I get an error
message:

   1  │ xterm -e "mplayer -af scaletempo Parallax\ Vlog\ May\ 2024.mp3 " & wait
        ·                                           ───────────┬──────────
        ·                                                      ╰── unrecognized escape after '\' in string

What nushell wants is something like

mplayer -af `scaletempo Parallax Vlog May 2024.mp3`

If I run that in the terminal it works. So I would have to change
shell-quote-argument, which is really hacky and would be overwritten if
dired.el is read again. So an official way to change escape characters,
and maybe more general syntax of the export of expressions using
dired-do-shell-command.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.18.0, Xaw scroll bars) of 2024-06-02 built on localhost
Repository revision: 618b07fd77c0548834593ceea7d805385713d848
Repository branch: work
Windowing system distributor 'The X.Org Foundation', version 11.0.12101013
System Description: Gentoo Linux

Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --datarootdir=/usr/share
 --disable-silent-rules --docdir=/usr/share/doc/emacs-30.0.9999
 --htmldir=/usr/share/doc/emacs-30.0.9999/html --libdir=/usr/lib64
 --program-suffix=-emacs-30-vcs --includedir=/usr/include/emacs-30-vcs
 --infodir=/usr/share/info/emacs-30-vcs --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-file-notification=inotify --with-pdumper --enable-acl
 --enable-xattr --with-dbus --with-modules --with-gameuser=:gamestat
 --with-libgmp --with-gpm --with-native-compilation=aot
 --without-kerberos --without-kerberos5 --with-lcms2 --with-xml2
 --with-mailutils --without-selinux --without-sqlite3 --with-gnutls
 --with-libsystemd --with-threads --with-tree-sitter --without-wide-int
 --with-sound=alsa --with-zlib --with-x --without-pgtk --without-ns
 --without-gconf --without-gsettings --with-toolkit-scroll-bars
 --with-xpm --with-xft --with-cairo --with-harfbuzz --without-libotf
 --without-m17n-flt --with-x-toolkit=lucid --without-xaw3d --with-gif
 --with-jpeg --with-png --with-rsvg --with-tiff --without-webp
 --with-imagemagick --with-dumping=pdumper 'CFLAGS=-march=znver2
 --param=l1-cache-line-size=64 --param=l1-cache-size=32
 --param=l2-cache-size=512 -O2 -pipe' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed
 -Wl,-z,pack-relative-relocs''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ IMAGEMAGICK
JPEG LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER X11
XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  citar-embark-mode: t
  recentf-mode: t
  windmove-mode: t
  global-edit-server-edit-mode: t
  global-goto-address-mode: t
  goto-address-mode: t
  auto-insert-mode: t
  dynamic-completion-mode: t
  electric-pair-mode: t
  corfu-history-mode: t
  delete-selection-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  telega-root-auto-fill-mode: t
  telega-contact-birthdays-mode: t
  telega-active-video-chats-mode: t
  telega-active-locations-mode: t
  telega-patrons-mode: t
  telega-active-stories-mode: t
  Daselt-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  rainbow-blocks-mode: t
  rainbow-delimiters-mode: t
  global-org-modern-mode: t
  TeX-PDF-mode: t
  fancy-compilation-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  all-the-icons-completion-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  org-roam-db-autosync-mode: t
  corfu-prescient-mode: t
  vertico-prescient-mode: t
  global-corfu-mode: t
  corfu-mode: t
  marginalia-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  server-mode: t
  savehist-mode: t
  vertico-mode: t
  smart-mark-mode: t
  winner-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  override-global-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  undelete-frame-mode: t
  minibuffer-regexp-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
~/.emacs.d/site-lisp/DEmacs/DEmacs-basic/add-tex-envs hides /home/alex/.emacs.d/site-lisp/add-tex-envs
/home/alex/.emacs.d/straight/build/corfu-terminal/corfu-terminal hides /home/alex/.emacs.d/elpa/corfu-terminal-0.7/corfu-terminal
/home/alex/.emacs.d/straight/build/corfu-terminal/corfu-terminal-autoloads hides /home/alex/.emacs.d/elpa/corfu-terminal-0.7/corfu-terminal-autoloads
/home/alex/.emacs.d/straight/build/corfu/corfu hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu
/home/alex/.emacs.d/straight/build/corfu/corfu-quick hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-quick
/home/alex/.emacs.d/straight/build/corfu/corfu-popupinfo hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-popupinfo
/home/alex/.emacs.d/straight/build/corfu/corfu-info hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-info
/home/alex/.emacs.d/straight/build/corfu/corfu-indexed hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-indexed
/home/alex/.emacs.d/straight/build/corfu/corfu-history hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-history
/home/alex/.emacs.d/straight/build/corfu/corfu-echo hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-echo
/home/alex/.emacs.d/straight/build/corfu/corfu-autoloads hides /home/alex/.emacs.d/elpa/corfu-20240523.752/corfu-autoloads
/home/alex/.emacs.d/straight/build/consult/consult hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult
/home/alex/.emacs.d/straight/build/consult/consult-xref hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-xref
/home/alex/.emacs.d/straight/build/consult/consult-register hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-register
/home/alex/.emacs.d/straight/build/consult/consult-org hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-org
/home/alex/.emacs.d/straight/build/consult/consult-kmacro hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-kmacro
/home/alex/.emacs.d/straight/build/consult/consult-info hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-info
/home/alex/.emacs.d/straight/build/consult/consult-imenu hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-imenu
/home/alex/.emacs.d/straight/build/consult/consult-flymake hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-flymake
/home/alex/.emacs.d/straight/build/consult/consult-compile hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-compile
/home/alex/.emacs.d/straight/build/consult/consult-autoloads hides /home/alex/.emacs.d/elpa/consult-20240523.754/consult-autoloads
/home/alex/.emacs.d/elpa/org-projectile-helm-20230817.801/org-projectile-helm hides /home/alex/.emacs.d/elpa/org-projectile-20230817.851/org-projectile-helm
/home/alex/.emacs.d/straight/build/popon/popon hides /home/alex/.emacs.d/elpa/popon-0.13/popon
/home/alex/.emacs.d/straight/build/popon/popon-autoloads hides /home/alex/.emacs.d/elpa/popon-0.13/popon-autoloads
/home/alex/.emacs.d/straight/build/compat/compat-25 hides /usr/share/emacs/site-lisp/compat/compat-25
/home/alex/.emacs.d/straight/build/compat/compat-26 hides /usr/share/emacs/site-lisp/compat/compat-26
/home/alex/.emacs.d/straight/build/compat/compat-27 hides /usr/share/emacs/site-lisp/compat/compat-27
/home/alex/.emacs.d/straight/build/compat/compat-28 hides /usr/share/emacs/site-lisp/compat/compat-28
/home/alex/.emacs.d/straight/build/compat/compat-29 hides /usr/share/emacs/site-lisp/compat/compat-29
/home/alex/.emacs.d/straight/build/compat/compat-macs hides /usr/share/emacs/site-lisp/compat/compat-macs
/home/alex/.emacs.d/straight/build/compat/compat-tests hides /usr/share/emacs/site-lisp/compat/compat-tests
/home/alex/.emacs.d/straight/build/compat/compat hides /usr/share/emacs/site-lisp/compat/compat
/home/alex/.emacs.d/elpa/dash-20240510.1327/dash hides /usr/share/emacs/site-lisp/dash/dash
/usr/share/emacs/site-lisp/desktop-entry-mode hides /usr/share/emacs/site-lisp/desktop-file-utils/desktop-entry-mode
/home/alex/.emacs.d/elpa/f-20240308.906/f hides /usr/share/emacs/site-lisp/f/f
/home/alex/.emacs.d/elpa/password-store-20231201.954/password-store hides /usr/share/emacs/site-lisp/pass/password-store
/home/alex/.emacs.d/elpa/s-20220902.1511/s hides /usr/share/emacs/site-lisp/s/s
/home/alex/.emacs.d/elpa/with-editor-20240415.1558/with-editor hides /usr/share/emacs/site-lisp/with-editor/with-editor
/home/alex/.emacs.d/elpa/bind-key-20230203.2004/bind-key hides /usr/share/emacs/30.0.50/lisp/bind-key
/home/alex/.emacs.d/elpa/transient-20240603.2200/transient hides /usr/share/emacs/30.0.50/lisp/transient
/home/alex/.emacs.d/elpa/modus-themes-20240603.1554/theme-loaddefs hides /usr/share/emacs/30.0.50/lisp/theme-loaddefs
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-core hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-core
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-diminish hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-diminish
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-delight hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-delight
/home/alex/.emacs.d/elpa/use-package-ensure-system-package-20221209.2013/use-package-ensure-system-package hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-ensure-system-package
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-bind-key hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-bind-key
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-jump hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-jump
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-lint hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-lint
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-ensure hides /usr/share/emacs/30.0.50/lisp/use-package/use-package-ensure
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package hides /usr/share/emacs/30.0.50/lisp/use-package/use-package
/home/alex/.emacs.d/straight/build/seq/seq hides /usr/share/emacs/30.0.50/lisp/emacs-lisp/seq
/home/alex/.emacs.d/straight/build/compat/compat hides /usr/share/emacs/30.0.50/lisp/emacs-lisp/compat
/home/alex/.emacs.d/site-lisp/dired+ hides /home/alex/.emacs.d/site-lisp/icicles/dired+
/home/alex/.emacs.d/elpa/bookmark+-20230325.160624/bookmark+ hides /home/alex/.emacs.d/site-lisp/icicles/bookmark+
~/.emacs.d/site-lisp/Avy-act-on-Distance/avy-act-on-distance hides /home/alex/.emacs.d/site-lisp/DEmacs/avy-act-on-distance/avy-act-on-distance

Features:
(shadow cus-start empv empv-autoloads loaddefs-gen lisp-mnt tar-mode
arc-mode archive-mode vertico-quick pcmpl-unix tramp-cmds mailalias
misearch multi-isearch flow-fill sort gnus-cite smiley mm-archive
mail-extr gnus-bcklg gnus-async qp gnus-ml nndraft nnmh nnmaildir
nnfolder utf-7 tramp-cache time-stamp tramp-sh gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-msg nntp gnus-cache shr-color
textsec uni-scripts idna-mapping ucs-normalize uni-confusable
textsec-check url-cache dabbrev cape-char em-unix em-term em-script
em-prompt em-pred em-ls em-hist em-glob em-extpipe em-cmpl em-dirs
em-basic em-banner em-alias esh-mode esh-var eshell esh-cmd esh-ext
esh-opt esh-proc esh-io esh-arg esh-module esh-groups esh-util
vertico-directory mule-util conf-mode eglot external-completion jsonrpc
seq-25 ert debug backtrace sh-script smie treesit executable ol-eww eww
mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect ol-docview
doc-view ol-bbdb ol-w3m ol-doi org-link-doi pdf-history pdf-outline
pdf-annot tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet citar-capf
citar-embark citar citar-file citar-cache citar-format reftex-dcr
reftex-auc tex-mode font-latex latexenc cc-mode-expansions cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs vc-git vc-dispatcher pdf-links pdf-sync pdf-isearch pdf-misc
smtpmail gnus-registry registry gnus-art mm-uu mml2015 mm-view mml-smime
smime gnutls dig gnus-sum shr pixel-fill kinsoku gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source nnoo gnus-spec
gnus-win gnus-int gnus-range imap rfc2104 utf7 gnus nnheader range
recentf windmove edit-server epa-file goto-addr autoinsert completion
elec-pair corfu-history delsel undo-tree telega-obsolete telega
telega-tdlib-events telega-webpage telega-match telega-root telega-info
telega-chat visual-fill-column telega-modes telega-company telega-emoji
telega-user telega-notifications notifications telega-voip telega-msg
telega-story telega-tme telega-sticker telega-vvnote bindat
telega-ffplay telega-i18n telega-sort telega-filter telega-ins
telega-inline telega-util telega-folders telega-topic telega-media
telega-tdlib rainbow-identifiers dired-aux telega-server telega-core
telega-customize emacsbug DEmacs DEmacs-cdlatex-bindings DEmacs-modes
DEmacs-basic-modes DEmacs-commands DEmacs-basic-commands
DEmacs-variables DEmacs-basic-variables DEmacs-keys DEmacs-functions
DEmacs-basic-keys DEmacs-basic-functions avy-act-on-distance menu-bar+
misc-cmds rect bookmark+ bookmark+-key bookmark+-bmu info+ fit-frame
help-fns+ wid-edit+ help-fns radix-tree bookmark+-lit pp+ dired-x
crosshairs col-highlight vline hl-line+ bookmark+-1 thingatpt+
back-button nav-flash smartrep rainbow-blocks org-rainbow-tags
dired-rainbow dired-hacks-utils rainbow-delimiters rainbow-mode
modus-themes abyss-theme yaml-mode-expansions yaml-mode julia-snail eat
vterm tramp trampver tramp-integration files-x tramp-message
tramp-compat tramp-loaddefs face-remap term disp-table ehelp
vterm-module term/xterm xterm pulse popup lsp-julia eldoc-box
consult-lsp lsp lsp-mode lsp-protocol tree-widget spinner network-stream
markdown-mode inline ht flycheck ox-md org-modern math-delimiters
add-tex-envs cdlatex reftex reftex-loaddefs reftex-vars latex-extra
preview latex-mode-expansions latex latex-flymake flymake tex-ispell
tex-style tex dbus texmathp fancy-compilation font-utils unicode-fonts
yasnippet elgrep async grep ztree ztree-diff ztree-diff-model ztree-dir
ztree-view ztree-protocol ztree-util dedicated auto-dictionary flyspell
ispell all-the-icons-completion all-the-icons-dired all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons gptel-extensions gptel
gptel-org gptel-openai tabgo tab-line dired-quick-sort ls-lisp
aggressive-indent visible-mark org-noter-org-roam org-noter
org-noter-djvu org-noter-nov org-noter-pdf pdf-tools cus-edit cus-load
wid-edit pdf-view jka-compr pdf-cache pdf-info tq pdf-util pdf-macs
image-mode exif org-noter-core ekg-import-subdirectories ekg-org-roam
org-roam-dailies ekg ewoc triples-upgrade triples-backups triples
org-roam-export use-package-ensure-system-package system-packages
org-ref org-ref-core openalex request org-ref-glossary org-ref-bibtex
html-mode-expansions sgml-mode facemenu avy doi-utils url-http url-auth
url-gw nsm org-ref-utils org-ref-export citeproc citeproc-itemgetters
citeproc-biblatex parse-time citeproc-bibtex ol-bibtex citeproc-cite
citeproc-subbibs citeproc-sort citeproc-name citeproc-formatters
citeproc-number rst citeproc-proc citeproc-disamb citeproc-itemdata
citeproc-generic-elements citeproc-macro citeproc-choose citeproc-date
citeproc-context citeproc-prange citeproc-style citeproc-locale
citeproc-term citeproc-rt citeproc-lib citeproc-s queue ox-org ox-odt
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table
ox-ascii ox-publish ox org-ref-misc-links org-ref-label-link
org-ref-ref-links org-ref-citation-links xref project
org-ref-bibliography-links hydra lv bibtex-completion parsebib compile
org-roam-migrate org-roam-log org-roam-mode org-roam-capture org-roam-id
org-roam-node org-roam-db emacsql-sqlite-builtin sqlite org-roam-utils
org-roam-compat org-roam org-capture emacsql-sqlite
emacsql-sqlite-common emacsql emacsql-compiler org-brain picture
org-agenda org-attach biblio biblio-download biblio-dissemin biblio-ieee
biblio-hal biblio-dblp biblio-crossref biblio-arxiv timezone biblio-doi
biblio-core let-alist url-queue url-file ido hl-line bibtex iso8601 cape
pass f s password-store auth-source-pass kind-icon svg-lib svg dom xml
corfu-prescient vertico-prescient prescient char-fold corfu-terminal
popon corfu consult-gh consult-gh-autoloads compat-autoloads
seq-autoloads embark-consult consult magit-bookmark bookmark pp
embark-org embark marginalia orderless magit-submodule magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func imenu magit-diff smerge-mode diff
diff-mode track-changes git-commit log-edit message sendmail yank-media
puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util
text-property-search mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils
gmm-utils mailheader pcvs-util add-log magit-core magit-autorevert
autorevert filenotify magit-margin magit-transient magit-process
with-editor shell server magit-mode transient magit-git magit-base
magit-section cursor-sensor crm persistent-soft list-utils pcache
eieio-base savehist vertico-buffer vertico-mouse vertico compat
smartparens loadhist dash expand-region text-mode-expansions
the-org-mode-expansions er-basic-expansions expand-region-core
expand-region-custom easy-kill-extras advice easy-kill-line-edge
easy-kill-buffer easy-kill-to-char easy-kill org-element org-persist xdg
org-id org-refile org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-src ob-comint org-pcomplete pcomplete comint ansi-osc
ansi-color org-list org-footnote org-faces org-entities time-date
noutline outline org-version ob-emacs-lisp ob-core ob-eval org-cycle
org-table org-keys oc org-loaddefs cal-menu calendar cal-loaddefs ol
org-fold org-fold-core org-compat avl-tree generator org-macs
format-spec smart-mark winner ring rebinder gnus-dired finder-inf
edmacro auto-install ffap thingatpt find-func dired dired-loaddefs
straight-autoloads straight use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core comp comp-cstr cl-extra help-mode warnings
comp-run comp-common rx kmacro desktop frameset icicles-install cl
sanityinc-tomorrow-day-theme sanityinc-tomorrow-bright-theme
color-theme-sanityinc-tomorrow color site-gentoo abyss-theme-autoloads
aggressive-indent-autoloads all-autoloads
all-the-icons-completion-autoloads all-the-icons-dired-autoloads
auctex-cluttex-autoloads auto-dictionary-autoloads back-button-autoloads
backup-walker-autoloads buffer-move-autoloads bug-hunter-autoloads
cape-autoloads cdlatex-autoloads citar-embark-autoloads
citar-org-roam-autoloads citar-autoloads
color-theme-sanityinc-tomorrow-autoloads consult-lsp-autoloads
consult-org-roam-autoloads corfu-prescient-autoloads
corfu-terminal-autoloads corfu-autoloads crontab-mode-autoloads
dedicated-autoloads default-text-scale-autoloads deft-autoloads
diminish-autoloads dired-quick-sort-autoloads dired-rainbow-autoloads
dired-hacks-utils-autoloads dream-theme-autoloads
easy-kill-extras-autoloads eat-autoloads eldoc-box-autoloads
elgrep-autoloads embark-consult-autoloads consult-autoloads
embark-autoloads emms-autoloads expand-region-autoloads
fancy-compilation-autoloads flycheck-autoloads forge-autoloads
closql-autoloads ghub-autoloads gptel-autoloads helm-bibtex-autoloads
bufler-autoloads burly-autoloads helm-descbinds-autoloads
helm-dictionary-autoloads helm-icons-autoloads helm-swoop-autoloads
julia-snail-autoloads julia-ts-mode-autoloads kind-icon-autoloads
latex-extra-autoloads auctex-autoloads tex-site lsp-julia-autoloads
julia-mode-autoloads lsp-treemacs-autoloads lsp-ui-autoloads
lsp-mode-autoloads marginalia-autoloads markdown-mode-autoloads
modus-themes-autoloads mood-line-autoloads helm-mu-autoloads
helm-easymenu log4e-autoloads mu4e-column-faces-autoloads
nav-flash-autoloads orderless-autoloads org-brain-autoloads
org-modern-autoloads org-msg-autoloads org-noter-autoloads
helm-autoloads helm-core-autoloads async-autoloads
org-rainbow-tags-autoloads org-ref-autoloads citeproc-autoloads
htmlize-autoloads org-roam-bibtex-autoloads bibtex-completion-autoloads
biblio-autoloads biblio-core-autoloads org-roam-ui-autoloads
org-roam-autoloads emacsql-autoloads org-super-links-autoloads
ox-pandoc-autoloads parsebib-autoloads pass-autoloads f-autoloads
password-store-otp-autoloads password-store-autoloads
perspective-autoloads popon-autoloads popup-autoloads
pretty-hydra-autoloads rainbow-blocks-autoloads rainbow-mode-autoloads
smart-mark-autoloads smartparens-autoloads smartrep-autoloads
smudge-autoloads speed-type-autoloads spinner-autoloads
string-inflection-autoloads svg-lib-autoloads tabgo-autoloads
tablist-autoloads telega-autoloads treemacs-all-the-icons-autoloads
all-the-icons-autoloads treemacs-icons-dired-autoloads
treemacs-magit-autoloads magit-autoloads pcase magit-section-autoloads
git-commit-autoloads transient-autoloads treemacs-persp-autoloads
persp-mode-autoloads treemacs-projectile-autoloads projectile-autoloads
treemacs-tab-bar-autoloads treemacs-autoloads posframe-autoloads
treepy-autoloads treesit-auto-autoloads triples-autoloads try-autoloads
unicode-fonts-autoloads ucs-utils-autoloads font-utils-autoloads
persistent-soft-autoloads list-utils-autoloads pcache-autoloads
use-package-ensure-system-package-autoloads system-packages-autoloads
vertico-prescient-autoloads vertico-autoloads prescient-autoloads
visible-mark-autoloads visual-fill-column-autoloads vterm-autoloads
w3m-load w3m-autoloads wakib-keys-autoloads websocket-autoloads
wfnames-autoloads with-editor-autoloads yaml-autoloads
yaml-mode-autoloads yasnippet-autoloads zotero-autoloads oauth-autoloads
info dash-autoloads ztree-autoloads package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs icons password-cache json
subr-x map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib
rmc iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd touch-screen tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting font-render-setting cairo
x-toolkit xinput2 x multi-tty move-toolbar make-network-process
native-compile emacs)

Memory information:
((conses 16 3119182 2250655) (symbols 48 121586 212) (strings 32 658089 228325)
 (string-bytes 1 33965743) (vectors 16 226092) (vector-slots 8 3664432 708813)
 (floats 8 7360 63351) (intervals 56 75558 22468) (buffers 992 85))